/*

 (C) COPYRIGHT 2006, 
 Julin Simn de Castro, simon@losInvisibles.net
 http://calconsole.losInvisibles.net

 This program is free software; you can redistribute it and/or modify
 it under the terms of either: 

 The GPL as published by the Free Software Foundation,    
 version 2 or version 3, available at: http://www.fsf.org/copyleft/lesser.html

*/


#ifdef  __cplusplus
extern "C" {
#endif

#define NOMEMORY "No enough memory\n"
#define PROGRAM_NAME "calconsole"
#define FILE_CAL "/.calconsole.ics"
#define FILE_SIZE 255
#define NOFILE " " 
#define HOUR_SIZE 255
#define TITLE_SIZE 1000
#define DATE_SIZE 15
#define DAY_SIZE 2
#define MONTH_SIZE 2
#define SUMMARY_SIZE 4000
#define NOEXISTFILE "No exist the file \n"
#define ZONEINFO "/usr/share/zoneinfo"
#define TZ "TZ="
#define DELIM_HOUR ":"
#define DELIM_DATE "/"
#define PROIDCALCONSOLE "-//calconsole//" 
#define BOLD "\033[1m"
#define FLASHING "\033[5m"
#define UNDERLINE "\033[4m"
#define INVERSE "\033[7m"
#define PLAIN "\033[0m"
#define LOCALSHAREZONESTAB "/usr/local/share/zoneinfo/zones.tab"
#define LOCALSHAREZONES "/usr/local/share/zoneinfo"
#define SHAREZONESTAB "/usr/share/zoneinfo/zones.tab"
#define SHAREZONES "/usr/share/zoneinfo"
#define ETCZONESTAB "/etc/zoneinfo/zones.tab"
#define ETCZONES "/etc/zoneinfo"
#define ZONEINFODEFAULT "../zoneinfo"
#define SEPARATOREVENT ""

//extern int VERBOSE;
extern int QUIET;
int VERBOSE;
int LOGS;

struct date_list_link {
    int year;  
    int month; 
    int day; 
    struct date_list_link *next;
};

struct evento {
    int time;
    char* hour_minute;
    char* uid;
    char* description;
    char* summary;
    char* location;
    struct evento *next;
};


/* Get the days with events */
struct date_list_link* get_days_events(char*, char*, char*);

/* user for know is day have event */
int is_day_events(struct date_list_link*, int);

void insert_event(struct evento **L, int, char*, char*, char*, char*, char* );



